2020-02-16 21:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004450Spring engineGeneralpublic2014-06-24 17:32
Reportersprung 
Assigned TojK 
PrioritylowSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0004450: [PR] Shields having entries in armorDefs
DescriptionShields currently always receive the damage specified as "default" in the damage tables; this patch makes them able to belong to an armor class just like units. Putting a shield into an armor class is analogical to units, ie. the armorDefs entry is its weaponDef name.
Additional InformationExample:

armorDefs = {
  units = { "shieldbot" },
  shields = { "shieldbot_shield" }
}

Then in some damage table:

damage = {
  default = 123,
  units = 456,
  shields = 789
}
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0013318

sprung (reporter)

https://github.com/spring/spring/pull/110

~0013324

sprung (reporter)

Now also makes shields obey dynamic damage (related to mantis 0002345)

~0013346

jK (developer)

merged
+Notes

-Issue History
Date Modified Username Field Change
2014-06-23 06:25 sprung New Issue
2014-06-23 06:25 sprung Note Added: 0013318
2014-06-23 15:15 sprung Note Added: 0013324
2014-06-24 17:31 jK Changeset attached => spring develop be3a474c
2014-06-24 17:32 jK Note Added: 0013346
2014-06-24 17:32 jK Status new => resolved
2014-06-24 17:32 jK Resolution open => fixed
2014-06-24 17:32 jK Assigned To => jK
+Issue History